Bug 595130 - Disable hpet by default
Summary: Disable hpet by default
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Amit Shah
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 14:09 UTC by Dor Laor
Modified: 2014-03-28 09:16 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.70.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-05 08:41:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dor Laor 2010-05-23 14:09:15 UTC
Description of problem:
The current hpet implementation is not stable enough.
There is no logic to deal with interrupt re-injection, not enough testing and it proved to be buggy.

We should disable it by default. I don't thing any flag for enabling it is needed.

Comment 1 Lawrence Lim 2010-05-24 13:00:33 UTC
Comment from Dor:

On QE side, Lawrence, please make sure that qemu is run with the right
parameters. There are too many occasions where cache=off and -no-hpet
are not used.

Comment 5 Mike Cao 2010-06-10 01:57:13 UTC
Reproduced in qemu-kvm-0.12.1.2-69.el6
Verified in qemu-kvm-0.12.1.2.71.el6

steps:
1.Start VM without -no-hpet
#/usr/libexec/qemu-kvm -m 16G -smp 4 -name RHEL6_64 -uuid `uuidgen` -rtc-td-hack -boot dc -drive file=/home/Mike,if=none,id=drive-virtio0-0-0,cache=none,boot=on,format=qcow2 -device virtio-blk-pci,drive=drive-virtio0-0-0,id=virtio0-0-0 -net nic,macaddr=20:40:50:12:23:21,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -spice port=5940,disable-ticketing -vga qxl -balloon virtio -monitor stdio
2.(qemu) info hpet

Actual Result:
HPET is disabled by QEMU

The issue has already been fixed.

Comment 7 lihuang 2010-07-05 08:41:14 UTC
according to #c5. closing


Note You need to log in before you can comment on or make changes to this bug.